import * as e from "react";
import { MuiPickersAdapterContext as n } from "./index-LocalizationProvider.js";
const o = () => {
  const t = e.useContext(n);
  if (t === null)
    throw new Error("MUI: Can not find utils in context. It looks like you forgot to wrap your component in LocalizationProvider, or pass dateAdapter prop directly.");
  return t;
}, r = () => o().utils, i = () => o().defaultDates, c = () => o().localeText, u = () => {
  const t = r();
  return e.useRef(t.date()).current;
};
export {
  i as useDefaultDates,
  c as useLocaleText,
  o as useLocalizationContext,
  u as useNow,
  r as useUtils
};
